Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -5587,25 +5443,20 @@
                    mu_r_5d2 = mu_r + 2.5_wp
 
-                   f_vent = a_vent * gamm( mu_r_2 ) * lambda_r**( -mu_r_2 ) +  &
-                            b_vent * schmidt_p_1d3 *                           &
-                            SQRT( a_term / kin_vis_air ) * gamm( mu_r_5d2 ) *  &
-                            lambda_r**( -mu_r_5d2 ) *                          &
-                            ( 1.0_wp -                                         &
-                              0.5_wp * ( b_term / a_term ) *                   &
-                              ( lambda_r / ( c_term + lambda_r )               &
-                              )**mu_r_5d2 -                                    &
-                              0.125_wp * ( b_term / a_term )**2 *              &
-                              ( lambda_r / ( 2.0_wp * c_term + lambda_r )      &
-                              )**mu_r_5d2 -                                    &
-                              0.0625_wp * ( b_term / a_term )**3 *             &
-                              ( lambda_r / ( 3.0_wp * c_term + lambda_r )      &
-                              )**mu_r_5d2 -                                    &
-                              0.0390625_wp * ( b_term / a_term )**4 *          &
-                              ( lambda_r / ( 4.0_wp * c_term + lambda_r )      &
-                              )**mu_r_5d2                                      &
+                   f_vent = a_vent * gamm( mu_r_2 ) * lambda_r**( -mu_r_2 ) +                      &
+                            b_vent * schmidt_p_1d3 *                                               &
+                            SQRT( a_term / kin_vis_air ) * gamm( mu_r_5d2 ) *                      &
+                            lambda_r**( -mu_r_5d2 ) *                                              &
+                            ( 1.0_wp -                                                             &
+                              0.5_wp       * ( b_term / a_term ) *                                 &
+                              ( lambda_r / ( c_term + lambda_r ) )**mu_r_5d2          -            &
+                              0.125_wp     * ( b_term / a_term )**2 *                              &
+                              ( lambda_r / ( 2.0_wp * c_term + lambda_r ) )**mu_r_5d2 -            &
+                              0.0625_wp    * ( b_term / a_term )**3 *                              &
+                              ( lambda_r / ( 3.0_wp * c_term + lambda_r ) )**mu_r_5d2 -            &
+                              0.0390625_wp * ( b_term / a_term )**4 *                              &
+                              ( lambda_r / ( 4.0_wp * c_term + lambda_r ) )**mu_r_5d2              &
                             )
 
-                   nr_0   = nr(k,j,i) * lambda_r**( mu_r + 1.0_wp ) /           &
-                            gamm( mu_r + 1.0_wp )
+                   nr_0   = nr(k,j,i) * lambda_r**( mu_r + 1.0_wp ) / gamm( mu_r + 1.0_wp )
                 ELSE
                    f_vent = 1.0_wp
@@ -5616,7 +5467,5 @@
                 evap    = 2.0_wp * pi * nr_0 * g_evap * f_vent * sat / hyrho(k)
                 evap    = MAX( evap, -qr(k,j,i) / dt_micro )
-                evap_nr = MAX( c_evap * evap / xr * hyrho(k),                  &
-                               -nr(k,j,i) / dt_micro )
-
+                evap_nr = MAX( c_evap * evap / xr * hyrho(k), - nr(k,j,i) / dt_micro )
                 qr(k,j,i) = qr(k,j,i) + evap    * dt_micro * flag
                 nr(k,j,i) = nr(k,j,i) + evap_nr * dt_micro * flag
@@ -5630,9 +5479,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Sedimentation of cloud droplets (Ackermann et al., 2009, MWR).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE sedimentation_cloud
 
@@ -5647,6 +5496,6 @@
        REAL(wp) ::  nc_sedi           !<
 
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_nc !<
        REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_qc !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_nc !<
 
 
@@ -5663,5 +5512,5 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                IF ( microphysics_morrison ) THEN
+                IF ( microphysics_morrison )  THEN
                    nc_sedi = nc(k,j,i)
                 ELSE
@@ -5670,48 +5519,45 @@
 
 !
-!--             Sedimentation fluxes for number concentration are only calculated
-!--             for cloud_scheme = 'morrison'
-                IF ( microphysics_morrison ) THEN
+!--             Sedimentation fluxes for number concentration are only calculated for cloud_scheme =
+!--             'morrison'
+                IF ( microphysics_morrison )  THEN
                    IF ( qc(k,j,i) > eps_sb  .AND.  nc(k,j,i) > eps_mr )  THEN
-                      sed_nc(k) = sed_qc_const *                               &
-                              ( qc(k,j,i) * hyrho(k) )**( 2.0_wp / 3.0_wp ) *  &
-                              ( nc(k,j,i) )**( 1.0_wp / 3.0_wp )
+                      sed_nc(k) = sed_qc_const * ( qc(k,j,i) * hyrho(k) )**( 2.0_wp / 3.0_wp ) *   &
+                                  ( nc(k,j,i) )**( 1.0_wp / 3.0_wp )
                    ELSE
                       sed_nc(k) = 0.0_wp
                    ENDIF
 
-                   sed_nc(k) = MIN( sed_nc(k), hyrho(k) * dzu(k+1) *           &
-                                    nc(k,j,i) / dt_micro + sed_nc(k+1)         &
+                   sed_nc(k) = MIN( sed_nc(k), hyrho(k) * dzu(k+1) *                               &
+                                    nc(k,j,i) / dt_micro + sed_nc(k+1)                             &
                                   ) * flag
 
-                   nc(k,j,i) = nc(k,j,i) + ( sed_nc(k+1) - sed_nc(k) ) *       &
-                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
+                   nc(k,j,i) = nc(k,j,i) + ( sed_nc(k+1) - sed_nc(k) ) * ddzu(k+1) /               &
+                               hyrho(k) * dt_micro * flag
                 ENDIF
 
                 IF ( qc(k,j,i) > eps_sb .AND.  nc_sedi > eps_mr )  THEN
-                   sed_qc(k) = sed_qc_const * nc_sedi**( -2.0_wp / 3.0_wp ) *  &
-                               ( qc(k,j,i) * hyrho(k) )**( 5.0_wp / 3.0_wp ) * &
-                                                                           flag
+                   sed_qc(k) = sed_qc_const * nc_sedi**( -2.0_wp / 3.0_wp )  *                     &
+                               ( qc(k,j,i) * hyrho(k) )**( 5.0_wp / 3.0_wp ) * flag
                 ELSE
                    sed_qc(k) = 0.0_wp
                 ENDIF
 
-                sed_qc(k) = MIN( sed_qc(k), hyrho(k) * dzu(k+1) * q(k,j,i) /   &
-                                            dt_micro + sed_qc(k+1)             &
+                sed_qc(k) = MIN( sed_qc(k), hyrho(k) * dzu(k+1) * q(k,j,i) / dt_micro + sed_qc(k+1)&
                                ) * flag
 
-                q(k,j,i)  = q(k,j,i)  + ( sed_qc(k+1) - sed_qc(k) ) *          &
+                q(k,j,i)  = q(k,j,i)  + ( sed_qc(k+1) - sed_qc(k) ) *                              &
                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
-                qc(k,j,i) = qc(k,j,i) + ( sed_qc(k+1) - sed_qc(k) ) *          &
+                qc(k,j,i) = qc(k,j,i) + ( sed_qc(k+1) - sed_qc(k) ) *                              &
                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
-                pt(k,j,i) = pt(k,j,i) - ( sed_qc(k+1) - sed_qc(k) ) *          &
-                                        ddzu(k+1) / hyrho(k) * lv_d_cp *       &
-                                        d_exner(k) * dt_micro            * flag
+                pt(k,j,i) = pt(k,j,i) - ( sed_qc(k+1) - sed_qc(k) ) *                              &
+                                        ddzu(k+1) / hyrho(k) * lv_d_cp *                           &
+                                        d_exner(k) * dt_micro           * flag
 
 !
 !--             Compute the precipitation rate due to cloud (fog) droplets
                 IF ( call_microphysics_at_all_substeps )  THEN
-                   prr(k,j,i) = prr(k,j,i) +  sed_qc(k) / hyrho(k)             &
-                                * weight_substep(intermediate_timestep_count)  &
+                   prr(k,j,i) = prr(k,j,i) +  sed_qc(k) / hyrho(k)                                 &
+                                * weight_substep(intermediate_timestep_count)                      &
                                 * flag
                 ELSE
@@ -5728,10 +5574,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Sedimentation of cloud droplets (Ackermann et al., 2009, MWR).
 !> Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE sedimentation_cloud_ij( i, j )
 
@@ -5756,5 +5602,5 @@
 !--       Predetermine flag to mask topography
           flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
-          IF ( microphysics_morrison ) THEN
+          IF ( microphysics_morrison )  THEN
              nc_sedi = nc(k,j,i)
           ELSE
@@ -5762,10 +5608,9 @@
           ENDIF
 !
-!--       Sedimentation fluxes for number concentration are only calculated
-!--       for cloud_scheme = 'morrison'
-          IF ( microphysics_morrison ) THEN
+!--       Sedimentation fluxes for number concentration are only calculated for cloud_scheme =
+!--       'morrison'
+          IF ( microphysics_morrison )  THEN
              IF ( qc(k,j,i) > eps_sb  .AND.  nc(k,j,i) > eps_mr )  THEN
-                sed_nc(k) = sed_qc_const *                                     &
-                            ( qc(k,j,i) * hyrho(k) )**( 2.0_wp / 3.0_wp ) *    &
+                sed_nc(k) = sed_qc_const * ( qc(k,j,i) * hyrho(k) )**( 2.0_wp / 3.0_wp ) *         &
                             ( nc(k,j,i) )**( 1.0_wp / 3.0_wp )
              ELSE
@@ -5773,14 +5618,14 @@
              ENDIF
 
-             sed_nc(k) = MIN( sed_nc(k), hyrho(k) * dzu(k+1) *                 &
-                              nc(k,j,i) / dt_micro + sed_nc(k+1)               &
+             sed_nc(k) = MIN( sed_nc(k), hyrho(k) * dzu(k+1) *                                     &
+                              nc(k,j,i) / dt_micro + sed_nc(k+1)                                   &
                             ) * flag
 
-             nc(k,j,i) = nc(k,j,i) + ( sed_nc(k+1) - sed_nc(k) ) *             &
-                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
+             nc(k,j,i) = nc(k,j,i) + ( sed_nc(k+1) - sed_nc(k) ) * ddzu(k+1) /                     &
+                         hyrho(k) * dt_micro * flag
           ENDIF
 
           IF ( qc(k,j,i) > eps_sb  .AND.  nc_sedi > eps_mr )  THEN
-             sed_qc(k) = sed_qc_const * nc_sedi**( -2.0_wp / 3.0_wp ) *        &
+             sed_qc(k) = sed_qc_const * nc_sedi**( -2.0_wp / 3.0_wp )   *                          &
                          ( qc(k,j,i) * hyrho(k) )**( 5.0_wp / 3.0_wp )  * flag
           ELSE
@@ -5788,21 +5633,19 @@
           ENDIF
 
-          sed_qc(k) = MIN( sed_qc(k), hyrho(k) * dzu(k+1) * q(k,j,i) /         &
-                                      dt_micro + sed_qc(k+1)                   &
+          sed_qc(k) = MIN( sed_qc(k), hyrho(k) * dzu(k+1) * q(k,j,i) / dt_micro + sed_qc(k+1)      &
                          ) * flag
 
-          q(k,j,i)  = q(k,j,i)  + ( sed_qc(k+1) - sed_qc(k) ) * ddzu(k+1) /    &
-                                hyrho(k) * dt_micro * flag
-          qc(k,j,i) = qc(k,j,i) + ( sed_qc(k+1) - sed_qc(k) ) * ddzu(k+1) /    &
-                                hyrho(k) * dt_micro * flag
-          pt(k,j,i) = pt(k,j,i) - ( sed_qc(k+1) - sed_qc(k) ) * ddzu(k+1) /    &
-                                hyrho(k) * lv_d_cp * d_exner(k) * dt_micro     &
-                                                                * flag
+          q(k,j,i)  = q(k,j,i)  + ( sed_qc(k+1) - sed_qc(k) ) *                                    &
+                                  ddzu(k+1) / hyrho(k) * dt_micro * flag
+          qc(k,j,i) = qc(k,j,i) + ( sed_qc(k+1) - sed_qc(k) ) *                                    &
+                                  ddzu(k+1) / hyrho(k) * dt_micro * flag
+          pt(k,j,i) = pt(k,j,i) - ( sed_qc(k+1) - sed_qc(k) ) *                                    &
+                                  ddzu(k+1) / hyrho(k) * lv_d_cp * d_exner(k) * dt_micro * flag
 
 !
 !--       Compute the precipitation rate of cloud (fog) droplets
           IF ( call_microphysics_at_all_substeps )  THEN
-             prr(k,j,i) = prr(k,j,i) + sed_qc(k) / hyrho(k) *                  &
-                              weight_substep(intermediate_timestep_count) * flag
+             prr(k,j,i) = prr(k,j,i) + sed_qc(k) / hyrho(k) *                                      &
+                          weight_substep(intermediate_timestep_count) * flag
           ELSE
              prr(k,j,i) = prr(k,j,i) + sed_qc(k) / hyrho(k) * flag
@@ -5813,9 +5656,9 @@
     END SUBROUTINE sedimentation_cloud_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Sedimentation of ice crystals
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE sedimentation_ice
 
@@ -5824,13 +5667,11 @@
        INTEGER(iwp) ::  k             !< loop index
 
-       REAL(wp) ::  flag              !< flag to indicate first grid level
-       REAL(wp) ::  av = 6.39_wp      !< parameter for calculating fall speed
-       REAL(wp) ::  bv = 0.1666_wp    !< parameter (1/6)
-       REAL(wp) ::  xi = 0.0_wp       !< mean mass of ice crystal
-       REAL(wp) ::  vi = 0.0_wp       !< mean fall speed of ice crystal
-       REAL(wp) ::  factor_sed_gamma_k0 = 0.76_wp !< factor for zeroth moment and
-                                                  !< Âµ =1/3 and nu=0
-       REAL(wp) ::  factor_sed_gamma_k1 = 1.61_wp !< factor for first moment and
-                                                  !< Âµ =1/3 and nu=0
+       REAL(wp) ::  av = 6.39_wp                  !< parameter for calculating fall speed
+       REAL(wp) ::  bv = 0.1666_wp                !< parameter (1/6)
+       REAL(wp) ::  factor_sed_gamma_k0 = 0.76_wp !< factor for zeroth moment and Âµ =1/3 and nu=0
+       REAL(wp) ::  factor_sed_gamma_k1 = 1.61_wp !< factor for first moment and Âµ =1/3 and nu=0
+       REAL(wp) ::  flag                          !< flag to indicate first grid level
+       REAL(wp) ::  xi = 0.0_wp                   !< mean mass of ice crystal
+       REAL(wp) ::  vi = 0.0_wp                   !< mean fall speed of ice crystal
 
        REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_ni  !< sedimentation rate zeroth moment
@@ -5846,5 +5687,5 @@
              DO  k = nzt, nzb+1, -1
 
-                IF ( ni(k,j,i) <= 0.0_wp ) THEN
+                IF ( ni(k,j,i) <= 0.0_wp )  THEN
                    xi = 0.0_wp
                 ELSE
@@ -5853,5 +5694,5 @@
                 ENDIF
 !
-!--             calculate fall speed of ice crystal
+!--             Calculate fall speed of ice crystal
                 vi = av * xi**bv
 !
@@ -5859,6 +5700,5 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 !
-!--             Calculate sedimentation rate for each grid box, factors are
-!--             calculated using
+!--             Calculate sedimentation rate for each grid box, factors are calculated using !> explanation missing eventually
                 IF ( qi(k,j,i) > eps_sb  .AND.  ni(k,j,i) >= 0.0_wp )  THEN
                    sed_qi(k) = qi(k,j,i) * vi * factor_sed_gamma_k1 * flag
@@ -5870,24 +5710,22 @@
 !
 !--             Calculate sedimentation: divergence of sedimentation flux
-                sed_qi(k) = MIN( sed_qi(k), hyrho(k) * dzu(k+1) * q(k,j,i) /   &
-                                            dt_micro + sed_qi(k+1)             &
+                sed_qi(k) = MIN( sed_qi(k), hyrho(k) * dzu(k+1) * q(k,j,i) / dt_micro + sed_qi(k+1)&
                                ) * flag
 
-                q(k,j,i)  = q(k,j,i)  + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1)&
+                q(k,j,i)  = q(k,j,i)  + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1)                    &
                                       / hyrho(k) * dt_micro * flag
-                qi(k,j,i) = qi(k,j,i) + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1)&
+                qi(k,j,i) = qi(k,j,i) + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1)                    &
                                       / hyrho(k) * dt_micro * flag
-                ni(k,j,i) = ni(k,j,i) + ( sed_ni(k+1) - sed_ni(k) ) * ddzu(k+1)&
+                ni(k,j,i) = ni(k,j,i) + ( sed_ni(k+1) - sed_ni(k) ) * ddzu(k+1)                    &
                                       / hyrho(k) * dt_micro * flag
 
-                pt(k,j,i) = pt(k,j,i) - ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1)&
-                                      / hyrho(k) * l_s / c_p * d_exner(k) *    &
+                pt(k,j,i) = pt(k,j,i) - ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1)                    &
+                                      / hyrho(k) * l_s / c_p * d_exner(k) *                        &
                                         dt_micro * flag
 !
 !--             Compute the precipitation rate of cloud (fog) droplets
                 IF ( call_microphysics_at_all_substeps )  THEN
-                   prr(k,j,i) = prr(k,j,i) + sed_qi(k) / hyrho(k) *            &
-                                weight_substep(intermediate_timestep_count) *  &
-                                flag
+                   prr(k,j,i) = prr(k,j,i) + sed_qi(k) / hyrho(k) *                                &
+                                weight_substep(intermediate_timestep_count) * flag
                 ELSE
                    prr(k,j,i) = prr(k,j,i) + sed_qi(k) / hyrho(k) * flag
@@ -5903,9 +5741,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Sedimentation of ice crystals
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE sedimentation_ice_ij( i, j )
 
@@ -5914,11 +5752,11 @@
        INTEGER(iwp) ::  k             !<
 
-       REAL(wp) ::  flag           !< flag to indicate first grid level
        REAL(wp) ::  av = 6.39_wp   !< parameter for calculating fall speed
        REAL(wp) ::  bv = 0.1666_wp !<
+       REAL(wp) ::  factor_sed_gamma_k0 = 0.76_wp
+       REAL(wp) ::  factor_sed_gamma_k1 = 1.61_wp
+       REAL(wp) ::  flag           !< flag to indicate first grid level
        REAL(wp) ::  xi = 0.0_wp    !< mean mass of ice crystal
        REAL(wp) ::  vi = 0.0_wp    !< mean fall speed of ice crystal
-       REAL(wp) ::  factor_sed_gamma_k0 = 0.76_wp
-       REAL(wp) ::  factor_sed_gamma_k1 = 1.61_wp
 
        REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_ni  !<
@@ -5929,5 +5767,5 @@
 
        DO  k = nzt, nzb+1, -1
-          IF ( ni(k,j,i) <= 0.0_wp ) THEN
+          IF ( ni(k,j,i) <= 0.0_wp )  THEN
              xi = 0.0_wp
           ELSE
@@ -5966,22 +5804,20 @@
           ENDIF
 
-          sed_qi(k) = MIN( sed_qi(k), hyrho(k) * dzu(k+1) * q(k,j,i) /         &
-                                      dt_micro + sed_qi(k+1)                   &
+          sed_qi(k) = MIN( sed_qi(k), hyrho(k) * dzu(k+1) * q(k,j,i) / dt_micro + sed_qi(k+1)      &
                          ) * flag
 
-          q(k,j,i)  = q(k,j,i)  + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1) /    &
+          q(k,j,i)  = q(k,j,i)  + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1) /                        &
                                 hyrho(k) * dt_micro * flag
-          qi(k,j,i) = qi(k,j,i) + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1) /    &
+          qi(k,j,i) = qi(k,j,i) + ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1) /                        &
                                 hyrho(k) * dt_micro * flag
-          ni(k,j,i) = ni(k,j,i) + ( sed_ni(k+1) - sed_ni(k) ) * ddzu(k+1) /    &
+          ni(k,j,i) = ni(k,j,i) + ( sed_ni(k+1) - sed_ni(k) ) * ddzu(k+1) /                        &
                                 hyrho(k) * dt_micro * flag
-          pt(k,j,i) = pt(k,j,i) - ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1) /    &
-                                hyrho(k) * l_s / c_p * d_exner(k) * dt_micro   &
-                                                                  * flag
+          pt(k,j,i) = pt(k,j,i) - ( sed_qi(k+1) - sed_qi(k) ) * ddzu(k+1) /                        &
+                                hyrho(k) * l_s / c_p * d_exner(k) * dt_micro * flag
 !
 !--       Compute the precipitation rate of cloud (fog) droplets
           IF ( call_microphysics_at_all_substeps )  THEN
-             prr(k,j,i) = prr(k,j,i) + sed_qi(k) / hyrho(k) *                  &
-                              weight_substep(intermediate_timestep_count) * flag
+             prr(k,j,i) = prr(k,j,i) + sed_qi(k) / hyrho(k) *                                      &
+                          weight_substep(intermediate_timestep_count) * flag
           ELSE
              prr(k,j,i) = prr(k,j,i) + sed_qi(k) / hyrho(k) * flag
@@ -5994,10 +5830,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Computation of sedimentation flux. Implementation according to Stevens
 !> and Seifert (2008). Code is based on UCLA-LES.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE sedimentation_rain
 
@@ -6046,30 +5882,28 @@
 !
 !--                Weight averaged diameter of rain drops:
-                   dr = ( hyrho(k) * qr(k,j,i) /                               &
-                          nr(k,j,i) * dpirho_l )**( 1.0_wp / 3.0_wp )
+                   dr = ( hyrho(k) * qr(k,j,i) / nr(k,j,i) * dpirho_l )**( 1.0_wp / 3.0_wp )
 !
 !--                Shape parameter of gamma distribution (Milbrandt and Yau, 2005;
 !--                Stevens and Seifert, 2008):
-                   mu_r = 10.0_wp * ( 1.0_wp + TANH( 1.2E3_wp *                &
-                                                     ( dr - 1.4E-3_wp ) ) )
+                   mu_r = 10.0_wp * ( 1.0_wp + TANH( 1.2E3_wp * ( dr - 1.4E-3_wp ) ) )
 !
 !--                Slope parameter of gamma distribution (Seifert, 2008):
-                   lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *        &
+                   lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *                            &
                                 ( mu_r + 1.0_wp ) )**( 1.0_wp / 3.0_wp ) / dr
 
-                   w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                        &
-                                               a_term - b_term * ( 1.0_wp +    &
-                                                  c_term /                     &
-                                                  lambda_r )**( -1.0_wp *      &
-                                                  ( mu_r + 1.0_wp ) )          &
-                                              )                                &
+                   w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                                            &
+                                               a_term - b_term * ( 1.0_wp +                        &
+                                                  c_term /                                         &
+                                                  lambda_r )**( -1.0_wp *                          &
+                                                  ( mu_r + 1.0_wp ) )                              &
+                                              )                                                    &
                                 ) * flag
 
-                   w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                        &
-                                               a_term - b_term * ( 1.0_wp +    &
-                                                  c_term /                     &
-                                                  lambda_r )**( -1.0_wp *      &
-                                                  ( mu_r + 4.0_wp ) )          &
-                                             )                                 &
+                   w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                                            &
+                                               a_term - b_term * ( 1.0_wp +                        &
+                                                  c_term /                                         &
+                                                  lambda_r )**( -1.0_wp *                          &
+                                                  ( mu_r + 4.0_wp ) )                              &
+                                             )                                                     &
                                 ) * flag
                 ELSE
@@ -6108,9 +5942,7 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                c_nr(k) = 0.25_wp * ( w_nr(k-1) +                              &
-                                      2.0_wp * w_nr(k) + w_nr(k+1) ) *         &
+                c_nr(k) = 0.25_wp * ( w_nr(k-1) + 2.0_wp * w_nr(k) + w_nr(k+1) ) *                 &
                           dt_micro * ddzu(k) * flag
-                c_qr(k) = 0.25_wp * ( w_qr(k-1) +                              &
-                                      2.0_wp * w_qr(k) + w_qr(k+1) ) *         &
+                c_qr(k) = 0.25_wp * ( w_qr(k-1) + 2.0_wp * w_qr(k) + w_qr(k+1) ) *                 &
                           dt_micro * ddzu(k) * flag
              ENDDO
@@ -6128,7 +5960,6 @@
                    d_max  = MAX( qr(k+1,j,i), qr(k,j,i), qr(k-1,j,i) ) - qr(k,j,i)
 
-                   qr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min,  &
-                                                              2.0_wp * d_max,  &
-                                                              ABS( d_mean ) )  &
+                   qr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min, 2.0_wp * d_max,      &
+                                                              ABS( d_mean ) )                      &
                                                       * flag
 
@@ -6137,6 +5968,5 @@
                    d_max  = MAX( nr(k+1,j,i), nr(k,j,i), nr(k-1,j,i) ) - nr(k,j,i)
 
-                   nr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min,  &
-                                                              2.0_wp * d_max,  &
+                   nr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min, 2.0_wp * d_max,      &
                                                               ABS( d_mean ) )
                 ENDDO
@@ -6165,27 +5995,19 @@
                 c_run = MIN( 1.0_wp, c_nr(k) )
                 DO WHILE ( c_run > 0.0_wp  .AND.  k_run <= nzt )
-                   flux  = flux + hyrho(k_run) *                               &
-                           ( nr(k_run,j,i) + nr_slope(k_run) *                 &
-                           ( 1.0_wp - c_run ) * 0.5_wp ) * c_run * dzu(k_run)  &
-                                              * flag
+                   flux  = flux + hyrho(k_run) * ( nr(k_run,j,i) + nr_slope(k_run) *               &
+                           ( 1.0_wp - c_run ) * 0.5_wp ) * c_run * dzu(k_run) * flag
                    z_run = z_run + dzu(k_run) * flag
                    k_run = k_run + 1          * flag
-                   c_run = MIN( 1.0_wp, c_nr(k_run) - z_run * ddzu(k_run) )    &
-                                              * flag
+                   c_run = MIN( 1.0_wp, c_nr(k_run) - z_run * ddzu(k_run) )   * flag
                 ENDDO
 !
-!--             It is not allowed to sediment more rain drop number density than
-!--             available
-                flux = MIN( flux,                                              &
-                            hyrho(k) * dzu(k+1) * nr(k,j,i) + sed_nr(k+1) *    &
-                            dt_micro                                           &
-                          )
+!--             It is not allowed to sediment more rain drop number density than available.
+                flux = MIN( flux, hyrho(k) * dzu(k+1) * nr(k,j,i) + sed_nr(k+1) * dt_micro )
 
                 sed_nr(k) = flux / dt_micro * flag
-                nr(k,j,i) = nr(k,j,i) + ( sed_nr(k+1) - sed_nr(k) ) *          &
+                nr(k,j,i) = nr(k,j,i) + ( sed_nr(k+1) - sed_nr(k) ) *                              &
                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
 !
-!--             Sum up all rain water content which contributes to the flux
-!--             through k-1/2
+!--             Sum up all rain water content which contributes to the flux through k-1/2
                 flux  = 0.0_wp
                 z_run = 0.0_wp ! height above z(k)
